<div class="wrap">
	<div id="col-container">
		<div id="col-right">
			<div class="col-wrap">
				<div class="inside">
					<?php
					if($add_screen) {
						?>
						<div class="involve-me-introduction" style="max-width: 320px;">
							<img style="width: 85%" src="https://www.involve.me/assets/images/logo.svg"
							     alt="Involve.me"/>
							<p>
								involve.me's plugin allows you to add responsive forms, quizzes, surveys and calculators
								designed in its drag & drop online funnel builder. Create or edit your project on the
								platform:
							</p>
							<a target="_blank" class="button-secondary"
							   href="https://app.involve.me/login/?utm_source=wp-plugin&utm_medium=wp&utm_content=new-embed">Get your project URL</a>
						</div>
						<?php
					} else {
						?>
						<p><?php esc_attr_e('Save to preview updates', 'involveme'); ?></p>
						<?php
						InvolvemePost::embed($post_id, true, ${InvolvemePost::$input_prefix . 'preview'});
					} ?>
					<br/>

				</div>
			</div>
		</div>

		<div id="col-left">
			<div class="col-wrap">
				<div class="inside">
					<input id="involveme_iframe_project_url" required
					       placeholder="<?php esc_attr_e('Paste involve.me project URL', 'involveme'); ?>"
					       name="involveme_iframe_project_url" type="url"
					       value="<?php echo esc_url(${InvolvemePost::$input_prefix . 'project_url'}) ?>"
					       class="large-text"/>
					<table class="form-table">
						<tr valign="top">
							<td scope="row"><label for="involveme_iframe_dynamic_height_resize"><?php esc_attr_e(
										'Embed type', 'involveme'
									); ?></label></td>
							<td>
								<label title='<?php esc_attr_e('Standard', 'involveme'); ?>'>
									<input
										type="radio" <?php checked(${InvolvemePost::$input_prefix . 'embed_mode'}, 'standard'); ?>
										name="involveme_iframe_embed_mode" id="involveme_iframe_standard"
										value="standard"/>
									<span><?php esc_attr_e('Standard', 'involveme'); ?></span>
								</label><br>
								<label title='<?php esc_attr_e('Full-page', 'involveme'); ?>'>
									<input type="radio" name="involveme_iframe_embed_mode" value="full-page"
									       id="involveme_iframe_full_page" <?php checked(${InvolvemePost::$input_prefix . 'embed_mode'}, 'full-page'); ?> />
									<span><?php esc_attr_e('Full-Page', 'involveme'); ?></span>
								</label>
							</td>
						</tr>
						<tr valign="top">
							<td scope="row"><label for="involveme_iframe_dynamic_height_resize"><?php esc_attr_e(
										'Dynamic height resize', 'involveme'
									); ?></label></td>
							<td>
								<input
									id="involveme_iframe_dynamic_height_resize" <?php checked(${InvolvemePost::$input_prefix . 'dynamic_height_resize'}); ?>
									name="involveme_iframe_dynamic_height_resize" type="checkbox"
									id="involveme_iframe_dynamic_height_resize" value="1"/>
							</td>
						</tr>
						<tr valign="top">
							<td scope="row"><label for="involveme_iframe_minimal_height"><?php esc_attr_e(
										'Minimum height (px)', 'involveme'
									); ?></label></td>
							<td><input id="involveme_iframe_minimal_height"
							           value="<?php echo esc_attr(${InvolvemePost::$input_prefix . 'minimal_height'}) ?>"
							           name="involveme_iframe_minimal_height" type="text" class="small-text"/></td>
						</tr>
						<tr valign="top">
							<td scope="row"><label for="involveme_iframe_width"><?php esc_attr_e(
										'Width (px)', 'involveme'
									); ?></label></td>
							<td><input id="involveme_iframe_width"
							           value="<?php echo esc_attr(${InvolvemePost::$input_prefix . 'width'}) ?>"
							           name="involveme_iframe_width" type="text" class="small-text"/></td>
						</tr>
						<tr valign="top">
							<td scope="row"><label for="involveme_iframe_background_color"><?php esc_attr_e(
										'Loading background color', 'involveme'
									); ?></label></td>
							<td><input id="involveme_iframe_background_color" type="text"
							           name="involveme_iframe_background_color" data-alpha-enabled="true"
							           value="<?php echo esc_attr(${InvolvemePost::$input_prefix . 'background_color'}) ?>"
							           class="involveme-color-field" data-default-color="rgba(255,255,255)"/></td>
						</tr>

						<?php if(!$add_screen) { ?>
							<tr valign="top" style="border-top: 1px solid #c3c4c7">
								<td scope="row"><label><?php esc_attr_e(
											'Shortcode', 'involveme'
										); ?></label></td>
								<td>
									<small style="padding-bottom: 5px; display: inline-block"><?php esc_attr_e(
											'Paste shortcode in your WordPress content', 'involveme'
										); ?></small><br/>
									<code><?php echo esc_html('[' . INVOLVE_ME_SHORTCODE . ' embed="' . $post_id . '"]'); ?></code>
									<a id="involve_me_copy_shortcode_button"
									   data-default-text="<?php esc_attr_e('Copy', 'involveme'); ?>"
									   data-copied-text="<?php esc_attr_e('Copied', 'involveme'); ?>" href="#"
									   data-clipboard-text="<?php echo esc_attr('[' . INVOLVE_ME_SHORTCODE . ' embed="' . $post_id . '"]'); ?>"
									><?php esc_attr_e(
											'Copy', 'involveme'
										); ?>
									</a>
								</td>
							</tr>
						<?php } ?>
					</table>
				</div>

			</div>

		</div>

	</div>
	<div style="clear:both"></div>
	<?php wp_nonce_field('involveme_iframe_customization_box', 'involveme_iframe_customization_box_nonce'); ?>
</div> <!-- .wrap -->
